Compilation for Typescript files stops

Hello ,

So this is my package json file

{
    "devDependencies": {
        "@commitlint/cli": "^17.6.1",
        "@commitlint/config-conventional": "^17.6.1",
        "@typescript-eslint/eslint-plugin": "^5.59.0",
        "@typescript-eslint/parser": "^5.59.0",
        "commitizen": "^4.3.0",
        "cross-env": "^7.0.3",
        "cz-conventional-changelog": "^3.3.0",
        "eslint": "^8.38.0",
        "eslint-config-prettier": "^8.8.0",
        "eslint-plugin-import": "^2.27.5",
        "eslint-plugin-prettier": "^4.2.1",
        "husky": "^8.0.3",
        "lint-staged": "^13.2.1",
        "npm-run-all": "^4.1.5",
        "prettier": "^2.8.7"
    },
    "dependencies": {
        "@azure/identity": "^4.0.1",
        "@azure/keyvault-secrets": "^4.8.0",
        "@ckeditor/strapi-plugin-ckeditor": "^0.0.9",
        "@strapi/plugin-i18n": "^4.13.1",
        "@strapi/plugin-users-permissions": "^4.13.1",
        "@strapi/strapi": "^4.13.1",
        "applicationinsights": "2.7.0",
        "patch-package": "^8.0.0",
        "pg": "8.8.0",
        "sharp": "^0.33.4",
        "strapi-plugin-comments": "^2.2.12",
        "strapi-plugin-populate-deep": "^2.0.0",
        "strapi-plugin-responsive-image": "^1.1.0",
        "strapi-plugin-sso": "^0.4.4",
        "strapi-plugin-timezone-select": "^1.0.0",
        "strapi-provider-upload-azure-storage": "^3.1.3"
    },
     "engines": {
        "node": ">=14.19.1 <=18.x.x",
        "npm": ">=6.0.0"
    },
  
    "optionalDependencies": {
        "@img/sharp-win32-x64": "^0.33.4"
    }
}```

After i run `strapi develop` it just stops without any error. 

Build works just fine. No other error 😦

<i>This topic has been created from a Discord post (1259824938488168508) to give it more visibility.
It will be on Read-Only mode here.
<a href="https://discord.com/channels/811989166782021633/1259824938488168508/1259824938488168508">Join the conversation on Discord</a></i>